<?PHP
include('header.php'); 

echo '<link rel="stylesheet" href="/css/forum.css" type="text/css" />';
echo '<div class="f-link"><a href="/forum">Главная форума</a></div>';
$id = (isset($_GET["id"]) && preg_match("|^[\d]{1,11}$|", trim($_GET["id"]))) ? intval(trim($_GET["id"])) : false;
if($id == false){
echo '<script type="text/javascript"> top.document.location.href = "/forum"; </script>';
echo '<noscript><META HTTP-EQUIV="REFRESH" CONTENT="0;URL=/forum"></noscript>';
}
echo "<h1>Репутация пользователя: ".ucfirst(get_us_name($id))."</h1>";
#Навигация 
$sql = mysql_query("SELECT `id` FROM `b_forum_reputation` WHERE `id_to`='$id'"); //общее кол-во ответов
$kolvo = 10; //кол-во выводимых записей на странице
$get_pg = (isset($_GET["pg"])) ? intval($_GET["pg"]) : 0;
$allnews = mysql_num_rows($sql); //общее кол-во записей
$vsego = intval(($allnews - 1) / $kolvo) + 1;  
$nowpage = intval($get_pg);
if(empty($nowpage) or $nowpage < 0) $nowpage = 1; 
if($nowpage > $vsego) $nowpage = $vsego; 
$gg = $nowpage * $kolvo - $kolvo; 
$urls = "forum_rep_$id";
// Находим две ближайшие станицы с обоих краев, если они есть 
if($nowpage - 3 > 0){ $pagefirst = '<a href= "/'.$urls.'-1">1<</a>';}else{$pagefirst = NULL;}
if($nowpage - 2 > 0) {$page2left = '<a href= "/'.$urls.'-'. ($nowpage - 2) .'">'. ($nowpage - 2) .'</a> ';  }else{$page2left = NULL;}
if($nowpage - 1 > 0) {$page1left = '<a href= "/'.$urls.'-'. ($nowpage - 1) .'">'. ($nowpage - 1) .'</a> ';  }else{$page1left = NULL;}
if($nowpage + 2 <= $vsego) {$page2right = '<a href= "/'.$urls.'-'. ($nowpage + 2) .'">'. ($nowpage + 2) .'</a>';  }else{$page2right = NULL;}
if($nowpage + 1 <= $vsego) {$page1right = '<a href= "/'.$urls.'-'. ($nowpage + 1) .'">'. ($nowpage + 1) .'</a>'; }else{$page1right = NULL;}
if($nowpage + 2 < $vsego){ $pagelast = '<a href= "/'.$urls.'-'.$vsego.'">>'.$vsego.'</a>';}else{$pagelast = NULL;}
// Вывод меню 
echo "<table width='100%' class='f-navigation'><tr><td nowrap='nowrap'>";
$nextp = $nowpage + 1;
$lastp = $nowpage - 1;
if($nowpage != 1) { echo "<a href='/".$urls."-".$lastp."'><span class='text14'>"; }else{ echo "<span class='textgray'>"; } echo "&larr;&nbsp;Предыдущие</span>";if($nowpage==1) { echo "</a>"; } 
echo "</td><td width='90%' align='center'>$pagefirst $page2left $page1left <b> $nowpage </b> $page1right $page2right $pagelast</td><td nowrap='nowrap'>";
if($nowpage!=$vsego){ echo "<a href='/".$urls."-".$nextp."'><span class='text14'>"; }else{ echo "<span class='textgray'>"; } echo "Следующие&nbsp;&rarr;</span>"; if($nowpage!=$vsego) { echo "</a>"; } 
echo "</td></tr></table>";
#Навигация 
?>
<table width="100%" class='f-post'>
<thead>
<th>Пользователь</th>
<th>Действие</th>
<th>Дата</th>
<th>Примичание</th>
</thead>
<tbody>
<?PHP
$sql = mysql_query("SELECT `id_from`,`time`,`text`,`type` FROM `b_forum_reputation` WHERE `id_to`='$id'") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
while($row = mysql_fetch_assoc($sql)){
$us_from = ucfirst(get_us_name($row["id_from"]));
$leave_rep = times($row["time"]);
$text_rep = $row["text"];
$type_rep = $row["type"];
if($type_rep == 1) { $type_rep = "<span class='f-rep-minus'></span>"; }else{ $type_rep = "<span class='f-rep-plus'></span>"; }
echo <<<html
<tr>
<td>$us_from</td>
<td align='center'>$type_rep</td>
<td align='center'>$leave_rep</td>
<td width='40%'>$text_rep</td>
</tr>
html;
}
}else{
echo "<tr><td colspan='4' align='center'>Нет измененний в репутации пользователя</td></tr>";
}

echo "</tbody>";
echo "</table>";

// Вывод меню 
echo "<table width='100%' class='f-navigation'><tr><td nowrap='nowrap'>";
$nextp = $nowpage + 1;
$lastp = $nowpage - 1;
if($nowpage != 1) { echo "<a href='/".$urls."-".$lastp."'><span class='text14'>"; }else{ echo "<span class='textgray'>"; } echo "&larr;&nbsp;Предыдущие</span>";if($nowpage==1) { echo "</a>"; } 
echo "</td><td width='90%' align='center'>$pagefirst $page2left $page1left <b> $nowpage </b> $page1right $page2right $pagelast</td><td nowrap='nowrap'>";
if($nowpage!=$vsego){ echo "<a href='/".$urls."-".$nextp."'><span class='text14'>"; }else{ echo "<span class='textgray'>"; } echo "Следующие&nbsp;&rarr;</span>"; if($nowpage!=$vsego) { echo "</a>"; } 
echo "</td></tr></table>";
#Навигация 
include('footer.php');
?>